import React from 'react';
import classNames from 'classnames/bind';

import styles from './ButtonMore.scss';

const cx = classNames.bind(styles);

interface IOwnProps {
  onClickMore: () => void;
};

const ButtonMore: React.FC<IOwnProps> = ({ onClickMore }) => {
  return (
    <div className={cx('more_wrap')}>
      <button type="button" className={cx('btn_more')} onClick={onClickMore}>
        더보기
      </button>
    </div>
  );
};

export default ButtonMore;
