import React from "react";
import classNames from "classnames/bind";
import styles from "./Footer.scss";
import { ReactComponent as IconTwitter } from "@assets/img/svg/ico_twitter.svg";
import { ReactComponent as IconInsta } from "@assets/img/svg/ico_insta.svg";
import { ReactComponent as IconDiscord } from "@assets/img/svg/ico_discord.svg";
import { ReactComponent as IconFacebook } from "@assets/img/svg/ico_facebook.svg";
import { YoutubeIcon } from "./icon/youtube";

const cx = classNames.bind(styles);

interface IOwnProps {}

const Footer: React.FC<IOwnProps> = ({}) => {
  return (
    <div className={cx("footer")}>
      <div className={cx("inner")}>
        <div className={cx("info")}>
          <div className={cx("sns_area")}>
            <p className={cx("desc")}>
              ㈜한국데이터서비스
              <br />
              Korea data service Ltd.
              <br />
              고객센터
              <br />
              info@nffit.io
              <br />
              전화 070-4227-0989 (월~금 9am~6pm)
              <br />
              사업자번호 : 680-87-02673
              <br />
              주소 : 서울시 강남구 강남대로 92길 31 6층
              <br />
              대표 : 노영구
              <br />
              <br />
              팬과 스타를 연결하는 NFFIT
              <br />
              Star and fan fit well
              <br />
            </p>
            <div className={cx("sns_link")}>
              <a
                href="https://twitter.com/metarare_nft"
                target="_blank"
                className={cx("link")}
              >
                <IconTwitter />
                <span className={cx("blind")}>트위터</span>
              </a>
              <a
                href="https://www.instagram.com/metarare_official/"
                target="_blank"
                className={cx("link")}
              >
                <IconInsta />
                <span className={cx("blind")}>인스타그램</span>
              </a>
              <a
                href="https://www.youtube.com/channel/UC08Jk0jzWohvjQT0H62Y17Q
"
                target="_blank"
                className={cx("link")}
              >
                <YoutubeIcon />
                <span className={cx("blind")}>Youtube</span>
              </a>
              <a
                href="https://www.facebook.com/MetaRare-NFT-lnc-112216471398493"
                target="_blank"
                className={cx("link_facebook")}
              >
                <IconFacebook />
                <span className={cx("blind")}>Facebook</span>
              </a>
            </div>
          </div>
        </div>
        <div className={cx("info_area")}>
          <div className={cx("policy_area")}>
            <a
              href="../../../static/pdf/terms.pdf"
              download
              className={cx("link")}
            >
              서비스이용약관
            </a>
            <a
              href="../../../static/pdf/personal.pdf"
              download
              className={cx("link")}
            >
              개인정보처리방침
            </a>
          </div>
          <p className={cx("right")}>
            © Korea data service Ltd. All right reserved.
          </p>
        </div>
      </div>
    </div>
  );
};

export default Footer;
