import React from 'react';
import classNames from 'classnames/bind';
import styles from './HashBox.scss';


const cx = classNames.bind(styles);

interface IOwnProps {
  className?: string;
  address: string;
}

const HashBox: React.FC<IOwnProps> = ({
  className,
  address,
}) => {
  return (
    <div className={cx('hash_box', className)}>
      <strong className={cx('title')}>txhash</strong> {address}
    </div>
  );
};

export default HashBox;
