import React from 'react';
import classNames from 'classnames/bind';
import styles from './Input.scss';


const cx = classNames.bind(styles);

interface IOwnProps {
  value: string;
  className?: string;
  placeholder?: string;
  onChange?: React.ChangeEventHandler<HTMLInputElement>;
  onBlur?: React.ChangeEventHandler<HTMLInputElement>;
  disabled?: boolean;
}

const Input: React.FC<IOwnProps> = ({
  value,
  className,
  placeholder,
  onChange,
  onBlur,
  disabled,
}) => {
  return (
    <input type="text" className={cx('input', className)} placeholder={placeholder} onChange={onChange} onBlur={onBlur} disabled={disabled} value={value} />
  );
};

export default Input;
