import React from 'react';
import PCCollectionScrollList from '@src/components/pc/CollectionScrollList';
import MobileCollectionScrollList from '@src/components/mobile/CollectionScrollList';
import { ICollection } from 'metarare';

interface IOwnProps {
  list?: ICollection[];
}

const CollectionScrollList: React.FC<IOwnProps> = ({
  list
}) => {
  return (
    <>
      <div className={'mo_wrapper'}>
        <MobileCollectionScrollList list={list} />
      </div>
      <div className={'pc_wrapper'}>
        <PCCollectionScrollList list={list} />
      </div>
    </>
  );
};

export default CollectionScrollList;
